%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

Name:           python-py2neo
Version:        1.5
Release:        9%{?dist}
Summary:        A simple Python library that provides access to Neo4j

Group:          Development/Languages
License:        ASL 2.0
URL:            http://py2neo.org/
Source0:        https://pypi.python.org/packages/source/p/py2neo/py2neo-%{version}.tar.gz
# Man pages based on output from help2man.
Source10:       cypher.1
Source11:       geoff.1
Source12:       neotool.1

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
Py2neo is a simple and pragmatic Python library that provides access to
the popular graph database Neo4j via its RESTful web service interface.

%if 0%{?with_python3}
%package     -n python3-py2neo
Summary:        A simple Python library that provides access to Neo4j
Group:          Development/Languages
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-py2neo
Py2neo is a simple and pragmatic Python library that provides access to
the popular graph database Neo4j via its RESTful web service interface.
%endif


%prep
%setup -q -n py2neo-%{version}
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%{__python} setup.py build


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
# Fix non-executable-script warnings
chmod -x %{buildroot}%{python3_sitelib}/py2neo/*.py
for lib in %{buildroot}%{python3_sitelib}/py2neo/*.py; do
    sed '1{\@^#!/usr/bin/env python@d}' ${lib} > ${lib}.new
    touch -r ${lib} ${lib}.new
    mv ${lib}.new ${lib}
done
# Rename python 3 scripts
for i in %{buildroot}%{_bindir}/{cypher,geoff,neotool}; do
    mv "${i}" "${i}-python3"
done
# Man pages
install -p -D -m0644 %{SOURCE10} %{buildroot}%{_mandir}/man1/cypher-python3.1
install -p -D -m0644 %{SOURCE11} %{buildroot}%{_mandir}/man1/geoff-python3.1
install -p -D -m0644 %{SOURCE12} %{buildroot}%{_mandir}/man1/neotool-python3.1
popd
%endif

%{__python} setup.py install --skip-build --root %{buildroot}
# Fix non-executable-script warnings
chmod -x %{buildroot}%{python_sitelib}/py2neo/*.py
for lib in %{buildroot}%{python_sitelib}/py2neo/*.py; do
    sed '1{\@^#!/usr/bin/env python@d}' ${lib} > ${lib}.new
    touch -r ${lib} ${lib}.new
    mv ${lib}.new ${lib}
done
# Man pages
install -p -D -m0644 %{SOURCE10} %{buildroot}%{_mandir}/man1/cypher.1
install -p -D -m0644 %{SOURCE11} %{buildroot}%{_mandir}/man1/geoff.1
install -p -D -m0644 %{SOURCE12} %{buildroot}%{_mandir}/man1/neotool.1


%files
%doc LICENSE NOTICE README
%{python_sitelib}/*egg-info
%{python_sitelib}/py2neo
%{_bindir}/cypher
%{_bindir}/geoff
%{_bindir}/neotool
%{_mandir}/man1/cypher.1*
%{_mandir}/man1/geoff.1*
%{_mandir}/man1/neotool.1*

%if 0%{?with_python3}
%files -n python3-py2neo
%doc LICENSE NOTICE README
%{python3_sitelib}/*egg-info
%{python3_sitelib}/py2neo
%{_bindir}/cypher-python3
%{_bindir}/geoff-python3
%{_bindir}/neotool-python3
%{_mandir}/man1/cypher-python3.1*
%{_mandir}/man1/geoff-python3.1*
%{_mandir}/man1/neotool-python3.1*
%endif


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.5-2
- make python3 subpackage standalone, renaming scripts to foo-python3
- remove executable bits and extraneous shebangs

* Wed Jun 19 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.5-1
- update to upstream release 1.5
- add missing BR
- remove redundant build variables
- add custom man pages (generated with help2man)

* Sat Mar 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.4.6-1
- initial package
